Bug 243650 - Gnome logout hangs follwing last set of gtk and gnome updates
Gnome logout hangs follwing last set of gtk and gnome updates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 04:53 EDT by Jack
Modified: 2008-06-16 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:32:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack 2007-06-11 04:53:14 EDT
Description of problem:
After updating several gnome and gtk packages on Saturday 09 June 2007 (by way
of yum updates daemon),  non-root gnome Logout hangs.
 - selecitng logout from the menu shows the logout dialog, and the 60 second
countdown begins.  Selecting logout now causes the gnome session to hang. The
session is not logged out.  The only remedy seems to be ctrl+alt+bkspace (restart X)

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.log into a gnome session as a non-root user.
2.select logout.
3.
  
Actual results:
Gnome session hangs

Expected results:
Gnome session log out

Additional info:
Again, this seems to have been a result of an update comprised of about 23
packages issued on Saturday 09 June 2007.  The majority of the packages were gtk
or gnome packages
Comment 1 Jack 2007-06-11 04:58:12 EDT
I don't know if this is related, but upon login with one of my gnome session
users (which enabled autohide on the menus) the menus start hidden, but cannot
be re-shown.  there seems to be no control over the desktop.  I have attempted
to create a launcher on the desktop (by way of right mouse), I am presented with
the menu, but selection of any item does nothing, and the gnome sessions is
immediately unresponsive, and requires a reset (ctrl+alt+bkspace) to end.  This
also only started hapenning after the last set of gtk and gnome updates released
on Saturday 09 June 2007
Comment 2 Andy Campbell 2007-06-14 17:36:47 EDT
Same here.  If I log in to the hung machine from another box, and run top Xorg
is using 100% CPU

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND           
                                                                                
 2552 root      25   0 57868  29m  11m R  100  1.5   5:55.06 Xorg    

and strace shows it looping with ...

[root@synnax andy]# strace -p 2552
Process 2552 attached - interrupt to quit
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
--- SIGALRM (Alarm clock) @ 0 (0) ---
sigreturn()                             = ? (mask now [])
Comment 3 Wes Bachman 2007-06-14 17:58:58 EDT
I had this same problem (the first problem).  I traced some of the gnome session
management stuff and found that the logout procedure was attempting to connect
to a local port.  (Via 127.0.0.1.)  I realized that I had firewall rules on this
machine so stringent that it was not allowing localhost traffic through.  After
opening up my firewall to this traffic, the logout procedure works like normal.
Comment 4 Sergio Pascual 2007-08-28 01:59:14 EDT
I'm changing Hardware to All. The same thing happens to me on x86_64, and also
with the Shutdown menu
Comment 5 Sergio Pascual 2007-08-30 06:06:31 EDT
The problem seems to be related with X server and nvidia hardware (I do have a
nvidia card):
https://bugzilla.redhat.com/show_bug.cgi?id=210584

Comment 6 Sergio Pascual 2007-10-25 17:44:36 EDT
I haven't suffered this problem lately. Has it been fixed?
Comment 7 Ray Strode [halfline] 2007-10-26 02:05:28 EDT
Could be. We fixed a bug dealing with compiz and logout a while ago.  is this a
duplicate of that?

(Do you run compiz?)
Comment 8 Sergio Pascual 2007-10-26 03:00:52 EDT
Yes, I run compiz, and the proprietary nvidia driver (yes, I know it's bad) 

(In reply to comment #7)
> Could be. We fixed a bug dealing with compiz and logout a while ago.  is this a
> duplicate of that?
> 
> (Do you run compiz?)

Comment 9 Andy Campbell 2007-10-27 05:19:05 EDT
I've stopped using compiz and don't have the problem anymore.

Andy
Comment 10 Bug Zapper 2008-05-14 09:00:15 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 21:32:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.